Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.tree
Class Node

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.ast.tree.Node

All Implemented Interfaces:
  antlr.collections.AST, Serializable

Direct Known Subclasses:
  JavaConstantNode, SqlFragment, SqlNode

    public class Node

extends antlr.CommonAST

Base node class for use by Hibernate within its AST trees.

Author:
  Joshua Davis, Steve Ebersole
See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`Node()`
`Node(antlr.Token tok)`

Method Summary
`int` | `getColumn()`
`String` | `getFilename()`
`int` | `getLine()`
`String` | `getRenderText(SessionFactoryImplementor sessionFactory)` Retrieve the text to be used for rendering this particular node.
`int` | `getTextLength()`
`void` | `initialize(antlr.collections.AST t)`
`void` | `initialize(antlr.Token tok)`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Node

    public Node()

### Node

    public Node(antlr.Token tok)

Method Detail

### getRenderText

    public String getRenderText(SessionFactoryImplementor sessionFactory)

  Retrieve the text to be used for rendering this particular node.

  Parameters:
    `sessionFactory` - The session factory
  Returns:
    The text to use for rendering

### initialize

    public void initialize(antlr.Token tok)

  Specified by:
    `initialize` in interface `antlr.collections.AST`
  Overrides:
    `initialize` in class `antlr.CommonAST`

### initialize

    public void initialize(antlr.collections.AST t)

  Specified by:
    `initialize` in interface `antlr.collections.AST`
  Overrides:
    `initialize` in class `antlr.CommonAST`

### getFilename

    public String getFilename()

### getLine

    public int getLine()

  Specified by:
    `getLine` in interface `antlr.collections.AST`
  Overrides:
    `getLine` in class `antlr.BaseAST`

### getColumn

    public int getColumn()

  Specified by:
    `getColumn` in interface `antlr.collections.AST`
  Overrides:
    `getColumn` in class `antlr.BaseAST`

### getTextLength

    public int getTextLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD